## Apache Zeta Components Manual :: Docs For Class ezcDocumentDocbookToRstBaseHandler

### Document::ezcDocumentDocbookToRstBaseHandler

### Class ezcDocumentDocbookToRstBaseHandler

Basic converter which stores a list of handlers for each node in the docbook element tree. Those handlers will be executed for the elements, when found.

The handler can then handle the repective subtree.

Additional handlers may be added by the user to the converter class.

Source for this file: /Document/src/converters/element_visitor/docbook/rst/handler.php

    ezcDocumentElementVisitorHandler
       |
       --ezcDocumentDocbookToRstBaseHandler

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcDocumentDocbookToRstHeadHandler | Visit docbook sectioninfo elements
ezcDocumentDocbookToRstLiteralHandler | Visit inline literals
ezcDocumentDocbookToRstCitationHandler | Visit citations
ezcDocumentDocbookToRstItemizedListHandler | Visit itemized list / bullet lists
ezcDocumentDocbookToRstBlockquoteHandler | Visit blockquotes
ezcDocumentDocbookToRstMediaObjectHandler | Visit media objects
ezcDocumentDocbookToRstSpecialParagraphHandler | Visit special paragraphs.
ezcDocumentDocbookToRstVariableListHandler | Visit itemized list / bullet lists
ezcDocumentDocbookToRstExternalLinkHandler | Visit external links
ezcDocumentDocbookToRstOrderedListHandler | Visit itemized list / bullet lists
ezcDocumentDocbookToRstSectionHandler | Visit docbook sections
ezcDocumentDocbookToRstLiteralLayoutHandler | Visit literallayout elements
ezcDocumentDocbookToRstBeginPageHandler | Visit begin page elements
ezcDocumentDocbookToRstFootnoteHandler | Visit footnotes
ezcDocumentDocbookToRstInternalLinkHandler | Visit internal links.
ezcDocumentDocbookToRstIgnoreHandler | Handler for elements, which are safe to ignore
ezcDocumentDocbookToRstCommentHandler | Visit docbook comment
ezcDocumentDocbookToRstParagraphHandler | Visit paragraphs
ezcDocumentDocbookToRstTableHandler | Visit tables
ezcDocumentDocbookToRstEmphasisHandler | Visit emphasis

### Method Summary

protected string | `renderDirective( $name , $parameter , $options , [ $content = null] )` Render a directive

### Inherited Methods

From ezcDocumentElementVisitorHandler
public abstract mixed | `ezcDocumentElementVisitorHandler::handle()` Handle a node.

### Methods

#### renderDirective

string renderDirective( string $name , string $parameter , $options , [string $content = null] )

Render a directive

Render a directive with the given paramters.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$name` | string |
`$parameter` | string |
`$options` | array |
`$content` | string |

Documentation generated by phpDocumentor 1.4.3